## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.5

Name:           pmbootstrap
Version:        1.53.0
Release:        %autorelease
Summary:        A sophisticated chroot/build/flash tool to develop and install postmarketOS

License:        GPL-3.0-only
URL:            https://www.postmarketos.org
# cannot use %%{pypi_source} due to
# https://gitlab.com/postmarketOS/pmbootstrap/-/issues/2009
Source0:        https://gitlab.com/postmarketOS/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(argcomplete)
# FIXME: once we can run the tests, add this back
# BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

Requires:       openssl
Requires:       git

%description
Sophisticated chroot/build/flash tool to develop and install postmarketOS.

%prep
%autosetup -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# cannot run the tests at the moment:
# https://gitlab.com/postmarketOS/pmbootstrap/-/issues/2010
# python3 setup.py test

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/pmb
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat May 27 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.53.0-1
- New upstream release 1.53.0, fixes rhbz#2208050

* Tue Apr 18 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.52.0-1
- New upstream release 1.52.0, fixes rhbz#2187833

* Mon Feb 20 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.51.0-1
- New upstream release 1.51.0, fixes rhbz#2171278

* Mon Dec 12 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.50.1-1
- New upstream release 1.50.1, fixes rhbz#2150763

* Fri Nov 25 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.50.0-1
- New upstream release 1.50.0, fixes rhbz#2144308

* Fri Nov 11 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.49.0-2
- SPDX: switch license tag to SPDX

* Fri Nov 11 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.49.0-1
- New upstream release 1.49.0, fixes rhbz#2141299

* Fri Oct 28 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.48.0-1
- New upstream release 1.48.0, fixes rhbz#2135144

* Wed Oct 05 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.47.0-1
- New upstream release 1.47.0, fixes rhbz#2118414

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.45.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 04 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.45.0-1
- New upstream release 1.45.0, fixes rhbz#2103472

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 1.44.1-2
- Rebuilt for Python 3.11

* Fri Jun 17 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.44.1-1
- New upstream release 1.44.1, fixes rhbz#2089617

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.43.1-2
- Rebuilt for Python 3.11

* Wed May 18 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.43.1-1
- New upstream release 1.43.1, fixzes rhbz#2086325

* Sat May 14 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.43.0-2
- Add missing requires git & openssl, fixes rhbz#2086087

* Sat May 14 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.43.0-1
- New upstream release 1.43.0, fixes rhbz#2085295, rhbz#2075447

* Wed Feb 23 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.42.0-1
- New upstream release 1.42.0, fixes rhbz#2056261

* Sat Jan 22 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.41.0-1
- New upstream release 1.41.0, fixes rhbz#2042159

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 12 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.40.0-1
- New upstream release 1.40.0, fixes rhbz#2028648

* Thu Dec 02 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.39.0-1
- New upstream release 1.39.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.32.0-2
- Rebuilt for Python 3.10

* Fri May  7 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.32.0-1
- Update to 1.32.0
- Fixes rhbz#1924900

* Tue Feb 02 2021 Dan Čermák <dan.cermak@cgc-instruments.de> - 1.0.1-1
- Initial package.

